SDL_isgraph(3)

NAME
SDL_isgraph - Report if a character is any "printable" except space.

SYNOPSIS
#include <SDL3/SDL_stdinc.h>

int SDL_isgraph(int x);

DESCRIPTION
Be advised that "printable" has a definition that goes back to text terminals from the dawn of computing, making this a sort of special case function that is not suitable for Unicode (or most any) text management.

WARNING: Regardless of system locale, this is equivalent to (SDL_isprint(x)) && ((x) != ' ').

FUNCTION PARAMETERS

x   character value to check.

RETURN VALUE
Returns non-zero if x falls within the character class, zero otherwise.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_isprint(3)